#include <bits/stdc++.h>

using namespace std;

int main()
{
    int T,N,M;
    cin>>T;
    int a[T];
    for(int i=0;i<T;i++){
        cin>>M>>N;
        if(M!=N)
            a[i]=-1;
        else if(M==N)
            a[i]=N;
    }
    for(int m=0;m<T;i++){
        if(a[m]==-1)
            cout<<a[m];
        else{
            for(int i=1;i<=a[m];i++){
                for(int j=1;j<=a[i];j++){
                    if(i==1 || i==a[i])
                        cout<<"1";
                    else if(i!=1 || i!=a[i]){
                        if(j==1 || j>a[i]-(i-1))
                            cout<<"1";
                        else
                            cout<<"0";
                    }

                }
                cout<<endl;

            }
        }
    }
}